Application: gvSIG desktop - gvSIG feature requests #4217

Update JTS to 1.14 version
05/20/2016 01:03 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Application

Target version: 2.6.0-3240

gvSIG version: 2.3.0 Add-on resolve version:
Keywords: jts, geoprocessing Add-on resolve build:

Has patch: Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

Updating the JTS library to 1.14 version (released in January) would add new capabilities to gvSIG, e.g. the new LineDissolver class
or the new methods of the PreparedGeometries, just to cite some of them. It may have some positive impact on geoprocesses and

improve the whole robustness of gvSIG. For instance, I've rewritten the old Polygonize geoprocess in a Jython script following a

different approach based on a precision model. It runs faster than the old one (hundred of thousands of polygons generated in few

seconds, considering also the time for 1/O operations) and avoids the blocking TopologyExceptions thanks to the precision reduction.
Here's a useful Source compatibility report for the jts library between 1.13 and 1.14 versions in order to understand quickly the new

features of JTS.

History

#1 - 07/25/2016 07:19 PM - Alvaro Anguix
- Category set to Application

#2 - 03/04/2020 02:58 PM - Alvaro Anguix
- Target version set to 3.0.0

#3 - 11/18/2021 12:03 PM - Alvaro Anguix
- Target version changed from 3.0.0 to 2.6.0-3240

- Status changed from New to Closed

Por lo que he visto aqui http://redmine.gvsig.net/redmine/versions/271 se ha actualizado JTS. Cierro ticket
http://abi-laboratory.pro/java/tracker/compat_report/jts/1.13/1.14/1a70b/src_compat_report.html
http://redmine.gvsig.net/redmine/versions/271

